package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class TopologicalStoreWd implements Serializable {
    private String aroundWdId;
    private String aroundWdName;
    private String aroundWdTypeCode;
    private double distance;

    private String addrCode;

    private String addrCodeInfo;

    private String addrInfo;

    private double lng;
    private double lat;

    public TopologicalStoreWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
        this.lng = wdInfo.getLng().doubleValue();
        this.lat = wdInfo.getLat().doubleValue();
    }

    public TopologicalStoreWd() {
    }
}
